Bug 746591 - KDE filemanager in Firefox is lost with update to v.10
KDE filemanager in Firefox is lost with update to v.10
Status: RESOLVED FIXED
: 747195 (view as bug list)
Classification: openSUSE
Product: openSUSE 12.1
Classification: openSUSE
Component: Firefox
Final
All openSUSE 12.1
: P2 - High : Major (vote)
: ---
Assigned To: Petr Cerny
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-11 17:42 UTC by Carl Fletcher
Modified: 2020-04-05 18:15 UTC (History)
10 users (show)

See Also:
Found By: Community User
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carl Fletcher 2012-02-11 17:42:20 UTC
In a kde-pure 12.1 install, firefox from updates.
Firefox defaults to some gnome based filemanager rather than KDE
Comment 1 Wolfgang Rosenauer 2012-02-11 18:36:07 UTC
Known issue.
We didn't manage to port over the needed patches for FF10.

@Petr, do you have any news here?
Comment 2 Carl Fletcher 2012-02-11 18:56:56 UTC
(In reply to comment #1)
> Known issue.
> We didn't manage to port over the needed patches for FF10.
> 
> @Petr, do you have any news here?

Yes, I did know that. I saw it in OBS Mozilla earlier
But didn't expect it pushed in Updates!
It's Butt Ugly too
Comment 3 Wolfgang Rosenauer 2012-02-15 18:11:23 UTC
*** Bug 747195 has been marked as a duplicate of this bug. ***
Comment 4 Bruno Canning 2012-02-17 17:17:19 UTC
Hi All,

I can confirm that this problem also exists on pure KDE installations of 11.4, both 32 and 64 bit versions, when installing the update to FF10 from the 11.4 updates repo. In addition, it has changed other settings, such as the default pdf viewer (formerly Okular, now Gimp). Whilst I can manually change this in the preferences, I can't get FF to ask me what to do AND use Okular by default if I choose to view the file.

Ta, Bruno
Comment 5 Denver D. Robinson 2012-02-18 10:46:29 UTC
added in case it helps in tracking down this bug:

with 11.4, 32, KDE4.6.0 i did NOT see the problem of GIMP (as some are reporting) opening PDFs after the update repo flowed from FF9 to FF10 and later FF10.1..

BUT, before and after the updates i had FF's setting for PDF set to "always save" i _and_ have not installed 'MozillaFirefox-branding-openSUSE'..

i just switched in FF for PDF to "always ask" and now it does that (some in the forums reported that it was not possible to switch)

BUT FF10.1 now offers _only_ Acrobat as an opening choice, while my "file associations" in KDE's systems settings is set with these four, in this order:

Okular
Acrobat Reader
GIMP
ePDFViewer

obviously, FF is not paying attention.

in case you need:
http://tinyurl.com/DD-Hardware 
http://tinyurl.com/DD-Software

forum thread: http://forums.opensuse.org/showthread.php?t=472256
Comment 6 jorge aires 2012-02-18 17:42:18 UTC
Yeap firefox is not using KDE defaults to open files. 

Suddenly C files are open with beagle, torrents with transmission, email addresses with claws. 

Also, quite frankly, the interface for associating files with new applications in firefox feels like going back to stone age - i.e., having to look for the specific executable, rather than just pick the desired application form a list/menu.
Comment 7 Petr Cerny 2012-02-20 10:40:45 UTC
(In reply to comment #1)
> Known issue.
> We didn't manage to port over the needed patches for FF10.
> 
> @Petr, do you have any news here?

Sorry, always getting interrupted by other things, so still WIP. :(
We actually do have a tracker bug 745017 for this, so I'll close this one as a duplicate.

*** This bug has been marked as a duplicate of bug 745017 ***
Comment 8 Wolfgang Rosenauer 2012-02-20 10:59:11 UTC
Petr, if you mark this one as dupe can you please make sure to make bug 745017 public?
Comment 9 Petr Cerny 2012-02-20 23:30:14 UTC
Oops, sorry - I mistakenly thought it is open. I'll check if it is possible to make it public or I'll reopen this one.
Comment 10 jorge aires 2012-02-20 23:50:28 UTC
By the way, the acrobat reader plugin also seems broken with the update. I searched for a bug report on this but couldn't find it. Can someone confirm that it is indeed not working? And in that case should there be a bug report for this specific issue alone?
Comment 11 Carl Fletcher 2012-02-21 05:18:21 UTC
(In reply to comment #10)
> By the way, the acrobat reader plugin also seems broken with the update. I
> searched for a bug report on this but couldn't find it. Can someone confirm
> that it is indeed not working? And in that case should there be a bug report
> for this specific issue alone?

I understand this is correct. At least it was reported that way in the forum. Personally I don't use Adobe.
Though some users have reported differing results depending on the version of openSUSE in use
Eg: http://forums.opensuse.org/english/get-technical-help-here/applications/472256-ff10-default-app-opening-pdfs-has-changed-2.html#post2441231

Basically, if you use kde. Firefox is messed up big time in v.10
Hence I'm still on v.9
Comment 12 Denver D. Robinson 2012-02-21 08:20:11 UTC
bottom line: i have no problems with FF10.1 on KDE4.6.0 and 11.4/32

details: am the author of the forum post referenced in comment #11 as well as comment #5 above. 

first: my report didn't say Acrobat was broken (i never use it and didn't try it prior to posting), just that Acrobat was the *only* app offered via the "Open by" dialog...even though KDE was set to offer Okular as default for PDFs...

now must say *SORRY*: after correctly setting FF10 (Edit > Preferences > Applications) to include Okular it now correctly offers both Acrobat and Okular (no surprise!)..

and, both Okular (in a new window) and Acrobat (in the browser) appear to work correctly here

that is, i have none of the reported problems: GIMP replaced Acrobat as default PDF opener, nor Actobat is broken....FF is ok _here_
Comment 13 Carl Fletcher 2012-02-21 09:52:57 UTC
Are you saying DD
That you use v.10 of Firefox? And what about the file manager offering?
Say you go to susepaste and upload an image, does it use the kde file manager?
Comment 14 Denver D. Robinson 2012-02-21 10:32:38 UTC
i'm running FF 10.0.1-0.2.1.i586

Carl, what do you mean about a file manager offered by Firefox...i don't see one offered, if i want a file manager i use mc/konquer/dolphin/etc and not firefox..

if i go to susepaste to upload, i click on "Browse" in the paste page, up pops a "File Upload" window with a FF icon in the corner....just like it did in FF9, 7, 3 and all in between..etc...

if i want to open a file with firefox i go File > Open File and a firefox "Open File" window with a FF icon in the corner pops open just like it did in FF9 or FF3, and all in between--no 'file manager' offered or needed...

if i am browsing a web site and click on a (say) PDF, then FF offers to open it either in the browser with a acrobat plugin or in an external window with okular--no 'file manager' offered or needed..

if FF _ever_ popped up a 'file browser' (dolphin/nautilus/whatever) i must have been asleep...how would one set that up....maybe i missed the best thing since sliced bread and didn't even know it!

OOOHHHH! i declined to install "MozillaFirefox-branding-openSUSE" is it therefore mine works???? (i mentioned in #5 i had not installed that...should i let that 'update' repo package flow and see if that breaks my FF10.1??)

color me confused!
Comment 15 Petr Cerny 2012-02-21 10:54:11 UTC
I think Carl is referring to the dialogs used being standard GTK instead of the KDE ones (which IMHO are a bit more usable). Plus, the KDE system-wide settings are not read without the integration, which means that you get the "stone age" behaviour mentioned in comment 6 (probably because the standard GNOME lookups do not return anything sensible).
Comment 16 Denver D. Robinson 2012-02-21 13:03:21 UTC
oh! ok, here is a Carl's requested susepaste of what i see when the FF10.0.1 'file manager' pops up to upload:

http://paste.opensuse.org/18523298

(does not look butt ugly (comment #3) to me!!
Comment 17 Carl Fletcher 2012-02-21 13:20:25 UTC
DD
Mine looks like kde
http://paste.opensuse.org/23662592

You have gtk turd
Comment 18 Denver D. Robinson 2012-02-21 13:50:45 UTC
yours is ugly, mine is beautiful (and probably bigger too)!
wanna FIGHT! :-)

ok so, my FF is using GTK instead of QT... i do not think i care enough to even ask how one might switch...in other words:

Mine works, so i won't 'fix' it!

dd
Comment 19 Wolfgang Rosenauer 2012-02-21 20:18:46 UTC
Within OBS:mozilla there are currently building new Firefox 10.0.2 packages with KDE integration. Would be nice if people could test them as some internal were changed and we are watching out for side effects.

@maintenance team: I'm wondering if we want to deliver the feature as an official update as well? It will be available in the mozilla repo anyway and also included in the upcoming Firefox 11 (scheduled for March 13, 2012). (For me it'll be just a osc submitreq)
Comment 20 jorge aires 2012-02-21 22:37:38 UTC
(In reply to comment #19)
> Within OBS:mozilla there are currently building new Firefox 10.0.2 packages
> with KDE integration. Would be nice if people could test them as some internal
> were changed and we are watching out for side effects.
> 
> @maintenance team: I'm wondering if we want to deliver the feature as an
> official update as well? It will be available in the mozilla repo anyway and
> also included in the upcoming Firefox 11 (scheduled for March 13, 2012). (For
> me it'll be just a osc submitreq)

I installed the most recent update and indeed file associations seem to be fine. The file managing ui (e.g. when saving or opening a file) is still gtk. On a side note, acrobat reader's plugin seems to be working fine too.
Comment 21 Carl Fletcher 2012-02-22 05:21:03 UTC
Latest update from OBS Mozilla on 12.1 x86

Seems to have resolved all issues. My file manager is KDE, contrary to the above comment by Jorge. PDF defaults to Okular
Thanks
Comment 22 Carl Fletcher 2012-02-22 06:34:42 UTC
As a side note, the file manager dialogue issue being solved in Firefox, remains an issue in Thunderbird. But it's not such a problem that I can't live with it.
Comment 23 Denver D. Robinson 2012-02-22 07:50:46 UTC
with ref to #19 where i see "I'm wondering if we want to deliver the feature as an
official update as well?"

feature? i thought it was a bug fix?

anyway, i would suggest that the fix (once determined to be complete and bulletproof) be pushed to update...

i can't think of a single reason to not do that! [well, of course i don't have to actually *do* anything to make that happen, so mine is just a suggestion--13 Mar is 20 days away and, there are a large number of people using a broken FF10]

my $0.02
Comment 24 Marcus Meissner 2012-02-22 08:05:53 UTC
i would say just include in the next security update (after confirmation it works)
Comment 25 Henk van Velden 2012-02-29 08:58:16 UTC
Sorry to ask a dumb end-user question here amongs this very technical discussion.

I am using vanilla openSUSE 11.4 (OSS, non-OSS, Update and Packman).

On using a FF download, the "where do you want to save it" window is now very different from how it was. That it looks different is not the main problem. But browsing through it does not realy function anymore (clicking on a directory does NOT change to that directory, I have to click elsewhere, sometime clicking again helps) and the name field has  has the part before the so called extension highlighted, but typing is not going there. Very annoying.

Is this what you are talking about here?
Is this to be corrected in the near future?
Comment 26 Marcus Meissner 2012-02-29 13:33:59 UTC
yes and yes.


Wolfgang, do you know when the next FF 10.x release is coming?

if its too long we can include in a normal bugfix update inbetween.
Comment 27 Wolfgang Rosenauer 2012-02-29 13:47:46 UTC
As said in comment 19 the next planned release is Firefox 11 on March, 13th.

At the moment there is no upcoming hotfix in the 10.0 series.
Comment 28 Henk van Velden 2012-02-29 16:21:03 UTC
Fine thanks.
Comment 29 Bernhard Wiedemann 2012-03-14 08:00:18 UTC
This is an autogenerated message for OBS integration:
This bug (746591) was mentioned in
https://build.opensuse.org/request/show/109206 11.4 / MozillaFirefox
https://build.opensuse.org/request/show/109207 12.1 / MozillaFirefox
https://build.opensuse.org/request/show/109208 Factory / MozillaFirefox
Comment 30 Wolfgang Rosenauer 2012-03-14 08:24:43 UTC
fixed with FF11
Comment 31 Swamp Workflow Management 2012-03-27 08:09:09 UTC
openSUSE-SU-2012:0417-1: An update that fixes 12 vulnerabilities is now available.

Category: security (moderate)
Bug References: 745303,746591,747320,749440,750044,750673
CVE References: CVE-2011-3658,CVE-2012-0451,CVE-2012-0455,CVE-2012-0456,CVE-2012-0457,CVE-2012-0458,CVE-2012-0459,CVE-2012-0460,CVE-2012-0461,CVE-2012-0462,CVE-2012-0463,CVE-2012-0464
Sources used:
openSUSE 12.1 (src):    MozillaFirefox-11.0-2.23.1, MozillaThunderbird-11.0-33.14.1, chmsee-1.99.08-2.15.2, mozilla-nspr-4.9.0-3.3.1, mozilla-nss-3.13.3-9.13.1, mozilla-xulrunner192-1.9.2.28-2.12.2, seamonkey-2.8-2.15.1, xulrunner-11.0-2.23.1
openSUSE 11.4 (src):    MozillaFirefox-11.0-0.15.2, MozillaThunderbird-3.1.20-0.15.4, mozilla-nspr-4.9.0-0.13.1, mozilla-nss-3.13.3-0.41.2, mozilla-xulrunner192-1.9.2.28-0.22.2, seamonkey-2.8-0.15.1

Product List: openSUSE 12.1
openSUSE 11.4